Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Rectangle Class Reference

Inherits Clutter::Actor.

Collaboration diagram for Clutter::Rectangle:
[legend]

List of all members.

## Public Member Functions
virtual | ~Rectangle ()
ClutterRectangle* | gobj ()
| Provides access to the underlying C GObject.
const ClutterRectangle* | gobj () const
| Provides access to the underlying C GObject.
ClutterRectangle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Color | get_color () const
| Retrieves the color of rectangle.
void | set_color (const Color& color)
| Sets the color of rectangle.
Color | get_border_color () const
| Gets the color of the border used by rectangle and places it into color.
void | set_border_color (const Color& color)
| Sets the color of the border used by rectangle using color.
guint | get_border_width () const
| Gets the width (in pixels) of the border used by rectangle.
void | set_border_width (guint width)
| Sets the width (in pixel) of the border used by rectangle.
Glib::PropertyProxy< Color > | property_border_color ()
| The color of the border of the rectangle.
Glib::PropertyProxy_ReadOnly < Color > | property_border_color () const
| The color of the border of the rectangle.
Glib::PropertyProxy< guint > | property_border_width ()
| The width of the border of the rectangle.
Glib::PropertyProxy_ReadOnly < guint > | property_border_width () const
| The width of the border of the rectangle.
Glib::PropertyProxy< Color > | property_color ()
| The color of the rectangle.
Glib::PropertyProxy_ReadOnly < Color > | property_color () const
| The color of the rectangle.
Glib::PropertyProxy< bool > | property_has_border ()
| Whether the rectangle should have a border.
Glib::PropertyProxy_ReadOnly < bool > | property_has_border () const
| Whether the rectangle should have a border.
## Static Public Member Functions
static Glib::RefPtr< Rectangle > | create ()
static Glib::RefPtr< Rectangle > | create (const Color& color)
## Protected Member Functions
| Rectangle ()
| Rectangle (const Color& color)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Rectangle > | wrap (ClutterRectangle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Rectangle::~Rectangle | ( |  | ) | `[virtual]`

Clutter::Rectangle::Rectangle | ( |  | ) | `[protected]`

Clutter::Rectangle::Rectangle | ( | const Color& | color | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Rectangle> Clutter::Rectangle::create | ( |  | ) | `[static]`

static Glib::RefPtr<Rectangle> Clutter::Rectangle::create | ( | const Color& | color | ) | `[static]`

Color Clutter::Rectangle::get_border_color | ( |  | ) | const

Gets the color of the border used by rectangle and places it into color.

Since cluttermm 0.2:

Parameters:

  | color | Return location for a Clutter::Color.

guint Clutter::Rectangle::get_border_width | ( |  | ) | const

Gets the width (in pixels) of the border used by rectangle.

Since cluttermm 0.2:

Returns:
  The border's width.

Color Clutter::Rectangle::get_color | ( |  | ) | const

Retrieves the color of rectangle.

Parameters:

  | color | Return location for a Clutter::Color.

const ClutterRectangle* Clutter::Rectangle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterRectangle* Clutter::Rectangle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterRectangle* Clutter::Rectangle::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Actor.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Rectangle::property_border_color | ( |  | ) | const

The color of the border of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Color> Clutter::Rectangle::property_border_color | ( |  | ) |

The color of the border of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::Rectangle::property_border_width | ( |  | ) | const

The width of the border of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Clutter::Rectangle::property_border_width | ( |  | ) |

The width of the border of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Rectangle::property_color | ( |  | ) | const

The color of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Color> Clutter::Rectangle::property_color | ( |  | ) |

The color of the rectangle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Rectangle::property_has_border | ( |  | ) | const

Whether the rectangle should have a border.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Rectangle::property_has_border | ( |  | ) |

Whether the rectangle should have a border.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Rectangle::set_border_color | ( | const Color& | color | ) |

Sets the color of the border used by rectangle using color.

Parameters:

  | color | The color of the border.

void Clutter::Rectangle::set_border_width | ( | guint | width | ) |

Sets the width (in pixel) of the border used by rectangle.

A width of 0 will unset the border.

Since cluttermm 0.2:

Parameters:

  | width | The width of the border.

void Clutter::Rectangle::set_color | ( | const Color& | color | ) |

Sets the color of rectangle.

Parameters:

  | color | A Clutter::Color.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Rectangle > wrap | ( | ClutterRectangle * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/rectangle.h